Open CASCADE Technology: Geom2dLProp_CLProps2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Geom2dLProp_CLProps2d Class Reference

`#include <Geom2dLProp_CLProps2d.hxx>`

## Public Member Functions
| Geom2dLProp_CLProps2d (const Handle< Geom2d_Curve > &C, const Standard_Integer N, const Standard_Real Resolution)
| Geom2dLProp_CLProps2d (const Handle< Geom2d_Curve > &C, const Standard_Real U, const Standard_Integer N, const Standard_Real Resolution)
| Geom2dLProp_CLProps2d (const Standard_Integer N, const Standard_Real Resolution)
void | SetParameter (const Standard_Real U)
void | SetCurve (const Handle< Geom2d_Curve > &C)
const gp_Pnt2d & | Value () const
const gp_Vec2d & | D1 ()
const gp_Vec2d & | D2 ()
const gp_Vec2d & | D3 ()
Standard_Boolean | IsTangentDefined ()
void | Tangent (gp_Dir2d &D)
Standard_Real | Curvature ()
void | Normal (gp_Dir2d &N)
void | CentreOfCurvature (gp_Pnt2d &P)

## Constructor & Destructor Documentation

Geom2dLProp_CLProps2d::Geom2dLProp_CLProps2d | ( | const Handle< Geom2d_Curve > & | C,
|  | const Standard_Integer | N,
|  | const Standard_Real | Resolution
| ) |  |

Geom2dLProp_CLProps2d::Geom2dLProp_CLProps2d | ( | const Handle< Geom2d_Curve > & | C,
|  | const Standard_Real | U,
|  | const Standard_Integer | N,
|  | const Standard_Real | Resolution
| ) |  |

Geom2dLProp_CLProps2d::Geom2dLProp_CLProps2d | ( | const Standard_Integer | N,
|  | const Standard_Real | Resolution
| ) |  |

## Member Function Documentation

void Geom2dLProp_CLProps2d::CentreOfCurvature | ( | gp_Pnt2d & | P | ) |

Standard_Real Geom2dLProp_CLProps2d::Curvature | ( |  | ) |

const gp_Vec2d& Geom2dLProp_CLProps2d::D1 | ( |  | ) |

const gp_Vec2d& Geom2dLProp_CLProps2d::D2 | ( |  | ) |

const gp_Vec2d& Geom2dLProp_CLProps2d::D3 | ( |  | ) |

Standard_Boolean Geom2dLProp_CLProps2d::IsTangentDefined | ( |  | ) |

void Geom2dLProp_CLProps2d::Normal | ( | gp_Dir2d & | N | ) |

void Geom2dLProp_CLProps2d::SetCurve | ( | const Handle< Geom2d_Curve > & | C | ) |

void Geom2dLProp_CLProps2d::SetParameter | ( | const Standard_Real | U | ) |

void Geom2dLProp_CLProps2d::Tangent | ( | gp_Dir2d & | D | ) |

const gp_Pnt2d& Geom2dLProp_CLProps2d::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Geom2dLProp_CLProps2d.hxx